Hacking Doubt about updating 3DS with downgrade file

lemanuel

Maxconsole's All-Knowing Lurker
OP
Member
Joined
Dec 11, 2014
Messages
2,095
Trophies
0
XP
1,254
Country
Portugal
I was wondering... Assuming a 3DS with firmware lower than 4.x can use the web browser exploit to boot into GW Menu (which I'm under the impression that it does given for example the 2.x choice in some user-made "Go" websites), can the downgrade function actually work to update those consoles with the version in the downgrade files by doing the downgrade process (which wouldn't really be a downgrade. lol)

Can anyone clarify if it's possible?
 

Xenon Hacks

Well-Known Member
Member
Joined
Nov 13, 2014
Messages
7,414
Trophies
1
Age
30
XP
4,687
Country
United States
No to upgrade you need a card with the latest update (I believe smash has 8.1 on it) or restore your 9.2 nand using the downgrader itself (Hold up when selecting downgrade)
 

lemanuel

Maxconsole's All-Knowing Lurker
OP
Member
Joined
Dec 11, 2014
Messages
2,095
Trophies
0
XP
1,254
Country
Portugal
No to upgrade you need a card with the latest update (I believe smash has 8.1 on it) or restore your 9.2 nand using the downgrader itself (Hold up when selecting downgrade)

I know the options available to update. lol

I was just wondering if this method would be possible and if not, why.
 

lemanuel

Maxconsole's All-Knowing Lurker
OP
Member
Joined
Dec 11, 2014
Messages
2,095
Trophies
0
XP
1,254
Country
Portugal
I can only assume that its because the file does not contain your nand key.

would that matter? you're able to downgrade fine with it and it still has to modify the system files.

I guess it could be because the downgrade process searches for the supposedly already installed files and only modify them without installing any missing files. That's only my guess though.
 

Xenon Hacks

Well-Known Member
Member
Joined
Nov 13, 2014
Messages
7,414
Trophies
1
Age
30
XP
4,687
Country
United States
would that matter? you're able to downgrade fine with it and it still has to modify the system files.

I guess it could be because the downgrade process searches for the supposedly already installed files and only modify them without installing any missing files. That's only my guess though.
Pretty much that one can only assume the downgrader finds your key to use it in the processs
 

gamesquest1

Nabnut
Former Staff
Joined
Sep 23, 2013
Messages
15,153
Trophies
2
XP
12,247
tbh i only seen one person on 2.x who tried the web exploit.....i don't think it actually worked iirc

idk, but assuming the exploit actually works on 2.x, i dont think there is a technical reason it couldnt be used to upgrade to 4.x....but im pretty sure the downgrader checks your FW before it will run the downgrader, so for example if i try to run the downgrader on my already 4.5 EU console it just says "not available for this console"....so i assume its designed to check if you have the correct regions downgrade files and a valid to be downgraded FW version

but as i said iirc someone was testing on 2.x and it didnt work to even boot into the GW menu
Pretty much that one can only assume the downgrader finds your key to use it in the processs
nope the downgrader just installs the old title over newer ones (dev menu blocks this function, you can only install a newer version over the old one, but gateway have bypassed the "newer" requirement)
, so pretty much just downgrades, the downgrade pack is a bunch of title files for 4.x, its not a nand image being flashed raw, its physically installing each title
 
  • Like
Reactions: lemanuel

lemanuel

Maxconsole's All-Knowing Lurker
OP
Member
Joined
Dec 11, 2014
Messages
2,095
Trophies
0
XP
1,254
Country
Portugal
tbh i only seen one person on 2.x who tried the web exploit.....i don't think it actually worked iirc

idk, but assuming the exploit actually works on 2.x, i dont think there is a technical reason it couldnt be used to upgrade to 4.x....but im pretty sure the downgrader checks your FW before it will run the downgrader, so for example if i try to run the downgrader on my already 4.5 EU console it just says "not available for this console"....so i assume its designed to check if you have the correct regions downgrade files and a valid to be downgraded FW version

actually there was a user at Maxconsole with a partially updated 4.5 EUR 3DS and he was able to downgrade to 4.5 again. But I assume that it's just because it was already partially updated since you said you can't do it on yours
 

Site & Scene News

Popular threads in this forum

General chit-chat
Help Users
    Psionic Roshambo @ Psionic Roshambo: 90K it's fine lol